#include "charm++.h"

#include "main.h"

main::main(CkArgMsg*)
{
  int i, j;
  CProxy_Test *testChare = new CProxy_Test(new TestMsg, 0);
  testChare->teststart(new TestMsg);
  for(i=1;i<=100;i++) {
    for(j=10;j>=1;j--) {
      Msg *msg = new Msg;
      CkSetRefNum(msg, i);
      msg->data = i;
      testChare->entry1(msg);
      msg = new Msg;
      CkSetRefNum(msg, j);
      msg->data = j;
      testChare->entry2(msg);
    }
  }
}

#include "main.def.h"
